For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webcams API

get
Authorizations
x-api-keystringRequired
Query parameters
regionIdstringOptional
resortIdsstringOptional
Responses
200

200 response

application/json

Collection of partner webcams

lastUpdatestring · date-timeOptional
webcamIdnumberOptional
resortnumberOptional
webcamNamestringOptional
webcamIframeUrlstringOptional
liveStreamingbooleanOptional
get/resorts/webcams
GET /resorts/webcams HTTP/1.1
Host: partner-api.onthesnow.com
x-api-key: YOUR_API_KEY
Accept: */*
200

200 response

[
  {
    "image": {
      "large": "https://example.com",
      "thumb": "https://example.com",
      "xlarge": "https://example.com",
      "mid": "https://example.com"
    },
    "lastUpdate": "2026-01-01T00:00:00.000Z",
    "webcamId": 1,
    "resort": 1,
    "webcamName": "text",
    "webcamIframeUrl": "text",
    "liveStreaming": true
  }
]

Last updated